Description

The boot order of a libvirt guest managed by Foreman should reflect the building status of the node.

History

#1 - 03/13/2012 05:07 AM - Ohad Levy

- Status changed from New to Feedback

Why? by default, foreman changes the tftp/gpxe configuration, so you could continue to boot from network, which in turn boot from disk?

#2 - 03/13/2012 10:45 AM - David Douard

bOhad Levy wrote:

Why? by default, foreman changes the tftp/gpxe configuration, so you could continue to boot from network, which in turn boot from disk?

 That's right. My default pxeboot menu seems broken so there a quite long delay before my VM actually boots it's local drive (I've not yet looked at the

"Generate Default PXE" stuff in Foreman).

However, I still think it should be possible to make it work the way I describe it. I don't see why my VM should PXEboot (by default) each and every

time (making its proper behavior depends on the PXE server, which is useless).

The current solution (have a default PXE boot that defaults to local boot) is a workaround IMHO, that can be a nice feature in some situations. But I

understand a more correct solution (from my point of view) requires some work, whereas the current workaround works as is.

David

#3 - 03/13/2012 10:48 AM - Ohad Levy

I guess it would not be a huge amount of work to set this up, it is just a way to be consistent between bare metal and libvirt (where swapping boot

order on bare metal is much more expensive).

#4 - 04/06/2012 11:39 AM - David Douard

Ohad Levy wrote:

I guess it would not be a huge amount of work to set this up, it is just a way to be consistent between bare metal and libvirt (where swapping

boot order on bare metal is much more expensive).

 I agree, let's stay consistant and close this ticket.

#5 - 12/06/2012 04:56 PM - Benjamin Papillon

- Status changed from Feedback to Closed

I close this ticket as asked by opener (It just took me 8 months:))
